Skip to content
Primary navigation

Retrieve project

GET/organization/projects/{project_id}

Retrieves a project.

Path ParametersExpand Collapse
project_id: string
ReturnsExpand Collapse
Project object { id, created_at, object, 4 more }

Represents an individual project.

id: string

The identifier, which can be referenced in API endpoints

created_at: number

The Unix timestamp (in seconds) of when the project was created.

formatunixtime
object: "organization.project"

The object type, which is always organization.project

archived_at: optional number

The Unix timestamp (in seconds) of when the project was archived or null.

formatunixtime
external_key_id: optional string

The external key associated with the project.

name: optional string

The name of the project. This appears in reporting.

status: optional string

active or archived

Retrieve project

curl https://api.openai.com/v1/organization/projects/proj_abc \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "id": "proj_abc",
    "object": "organization.project",
    "name": "Project example",
    "created_at": 1711471533,
    "archived_at": null,
    "status": "active"
}
Returns Examples
{
    "id": "proj_abc",
    "object": "organization.project",
    "name": "Project example",
    "created_at": 1711471533,
    "archived_at": null,
    "status": "active"
}